Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class Correlation

    java.lang.Object
      org.apache.ode.bpel.compiler.SourceLocation
          org.apache.ode.bpel.compiler.bom.BpelObject
              org.apache.ode.bpel.compiler.bom.Correlation

    public class Correlation

extends BpelObject

Representaiton of a BPEL `<correlation>` modifier. A correlation is a tuple consisting of a communication element (such as an invoke, receive, or onMessage) a correlation set, and an initiate flag

Nested Class Summary
`static class` | `Correlation.CorrelationPattern`
`static class` | `Correlation.Initiate`

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`Correlation(org.w3c.dom.Element el)`

Method Summary
`java.lang.String` | `getCorrelationSet()` Get the name of the referenced correlation set.
`Correlation.Initiate` | `getInitiate()` Get the value of the initiate flag.
`Correlation.CorrelationPattern` | `getPattern()` Get the correlation pattern.

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Correlation

    public Correlation(org.w3c.dom.Element el)

Method Detail

### getCorrelationSet

    public java.lang.String getCorrelationSet()

  Get the name of the referenced correlation set.

  Returns:
    correlation set

### getInitiate

    public Correlation.Initiate getInitiate()

  Get the value of the initiate flag.

  Returns:
    one of ``Correlation`.INITATE_XXX` constants

### getPattern

    public Correlation.CorrelationPattern getPattern()

  Get the correlation pattern.

  Returns:
    the correlation pattern, one of:
    - `#CORRPATTERN_IN`
    - `#CORRPATTERN_OUT`
    - `#CORRPATTERN_INOUT`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD